post
https://dashboardv2.nixafin.ai/public/api/v1/payment/create-order
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Header Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Authorization | string | Yes | API authentication token |
| Content-Type | string | Yes | Request content typeapplication/json |
| Accept | string | Yes | application/json |
Body Parameters
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| amount | string | Yes | Payment amount. |
| customer_email | string | Yes | Customer email. |
| first_name | string | Yes | First name. |
| last_name | string | Yes | Last name. |
| mobile_number | string | Yes | Mobile number. |
| allowed_payment_methods | string | Yes | Supported payment types. ["CARD", "UPI", "NETBANKING"] |
Request cURL
curl --location 'https://dashboardv2.nixafin.ai/public/api/v1/payment/create-order' \
--header 'Authorization: Bearer <Token>' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--data-raw '{
"amount": "<Amount>",
"customer_email": "<Email_Id>",
"first_name": "<First_Name>",
"last_name": "<Last_Name>",
"mobile_number": "<Mobile_Number>",
"allowed_payment_methods": ["CARD", "UPI", "NETBANKING"]
}'